Skip to main content
POST
/
networks
/
tracking
/
offers
/
clicks
/
qr
Generate Offer Tracking Link QR Code
curl --request POST \
  --url https://api.eflow.team/v1/networks/tracking/offers/clicks/qr \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_id": 1,
  "network_affiliate_id": 1
}
'
"<string>"
Generate a QR code image that points to the click tracking link for an offer and affiliate pair. The body parameters and requirements are the same as the Generate Tracking Link endpoint, only the response differs. Returns a streaming response with Content-Type image/png.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Body

application/json
network_offer_id
integer
required

The ID of the offer.

network_affiliate_id
integer
required

The ID of the affiliate.

network_tracking_domain_id
integer

An optional ID for a specific tracking domain.

network_offer_url_id
integer

An optional offer URL ID.

creative_id
integer

An optional offer creative ID.

network_traffic_source_id
integer

An optional traffic source ID.

source_id
string

An optional source_id query string parameter.

sub1
string
sub2
string
sub3
string
sub4
string
sub5
string
is_encrypt_parameters
boolean

Whether to encrypt all query string parameters.

Override the direct linking setting.

Response

200 - image/png

OK — returns a PNG image file.

The response is of type file.